summaryrefslogtreecommitdiffstats
path: root/development/libanculus-sharp
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:53:33 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:53:33 +0200
commita69a5a466399641341b426dc2a81748f632e892c (patch)
treecbee085381d9783b0585fcd6b0db49115444811f /development/libanculus-sharp
parent8185df7f6b133e9f2ad36d37a9117a05c9aa8e97 (diff)
downloadslackbuilds-a69a5a466399641341b426dc2a81748f632e892c.tar.gz
slackbuilds-a69a5a466399641341b426dc2a81748f632e892c.tar.xz
development/libanculus-sharp: Added to 12.1 repository
Diffstat (limited to 'development/libanculus-sharp')
-rw-r--r--development/libanculus-sharp/README6
-rw-r--r--development/libanculus-sharp/libanculus-sharp.SlackBuild44
-rw-r--r--development/libanculus-sharp/libanculus-sharp.info8
-rw-r--r--development/libanculus-sharp/slack-desc11
4 files changed, 69 insertions, 0 deletions
diff --git a/development/libanculus-sharp/README b/development/libanculus-sharp/README
new file mode 100644
index 0000000000..41de8a63d4
--- /dev/null
+++ b/development/libanculus-sharp/README
@@ -0,0 +1,6 @@
+"Anculus" means servant in Latin, and that is exactly what the library does.
+It serves and helps you to easily and quickly write new applications.
+libanculus-sharp contains all the building blocks that you need to develop a
+good C# application.
+
+Requires Mono and Gtk-Sharp, both available at SlackBuilds.org
diff --git a/development/libanculus-sharp/libanculus-sharp.SlackBuild b/development/libanculus-sharp/libanculus-sharp.SlackBuild
new file mode 100644
index 0000000000..f1b092acde
--- /dev/null
+++ b/development/libanculus-sharp/libanculus-sharp.SlackBuild
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# Slackware build script for libanculus-sharp
+# Written by Erik Hanson erik@slackbuilds.org
+
+set -eu
+
+PRGNAM=libanculus-sharp
+VERSION=0.3.1
+ARCH=i486 # Unless you built Mono with a different ARCH, leave this alone.
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+sh autogen.sh \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+make install DESTDIR=$PKG
+
+rmdir $PKG/usr/bin # This is empty.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -ar AUTHORS INSTALL LICENSE docs/api $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/libanculus-sharp/libanculus-sharp.info b/development/libanculus-sharp/libanculus-sharp.info
new file mode 100644
index 0000000000..ffdce255cc
--- /dev/null
+++ b/development/libanculus-sharp/libanculus-sharp.info
@@ -0,0 +1,8 @@
+PRGNAM="libanculus-sharp"
+VERSION="0.3.1"
+HOMEPAGE="http://code.google.com/p/libanculus-sharp/"
+DOWNLOAD="http://libanculus-sharp.googlecode.com/files/libanculus-sharp-0.3.1.tar.bz2"
+MD5SUM="d89455b8d43a45666a25fc26b7792f7b"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="Michiel"
diff --git a/development/libanculus-sharp/slack-desc b/development/libanculus-sharp/slack-desc
new file mode 100644
index 0000000000..6d95290eae
--- /dev/null
+++ b/development/libanculus-sharp/slack-desc
@@ -0,0 +1,11 @@
+libanculus-sharp: libanculus-sharp (reusable utility library written in C#.)
+libanculus-sharp:
+libanculus-sharp: "Anculus" means servant in Latin, and that is exactly what
+libanculus-sharp: the library does. It serves and helps you to easily and
+libanculus-sharp: quickly write new applications. libanculus-sharp contains
+libanculus-sharp: all the building blocks that you need to develop a good C#
+libanculus-sharp: application.
+libanculus-sharp:
+libanculus-sharp:
+libanculus-sharp: http://code.google.com/p/libanculus-sharp/
+libanculus-sharp: